Boolean fields aren't identified correctly on PosgreSQL
Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Database
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2066 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Yes Hito:
Add-on name: Unknown
Description

Boolean fields aren't identified correctly on PosgresSQL. This is due ResulSet-metadata informs that this fields type are 
java.sql.Types.BIT which is not handle by JDBCHelper.createAttributeFromJDBC method.

This patch fix the problem.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2121: NPE modifying a bo... Closed

History
#1 - 11/27/2013 09:24 AM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez
- Target version set to 2.1.0-2223-rc1

Fixed detection of java.sql.Types.BIT field type (patch provided by jmvivo).

gvsig-desktop:r40939

#2 - 01/13/2014 09:42 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#3 - 01/28/2014 09:27 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
Fix_boolean_field_detection.patch 449 Bytes 11/26/2013 Jose Manuel Vivó Arnal
